glibmm: Gio::SocketConnectable Class Reference

glibmm 2.66.4

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gio::SocketConnectable Class Reference
Portable Network I/O Functionality

Interface for potential socket endpoints. More...

`#include <giomm/socketconnectable.h>`

Inheritance diagram for Gio::SocketConnectable:
[legend]

## Public Member Functions
| SocketConnectable (SocketConnectable && src) noexcept
SocketConnectable & | operator= (SocketConnectable && src) noexcept
| ~SocketConnectable () noexcept override
GSocketConnectable * | gobj ()
| Provides access to the underlying C GObject. More...
const GSocketConnectable * | gobj () const
| Provides access to the underlying C GObject. More...
Glib::RefPtr< SocketAddressEnumerator > | enumerate ()
| Creates a SocketAddressEnumerator for connectable. More...
Glib::RefPtr< const SocketAddressEnumerator > | enumerate () const
| Creates a SocketAddressEnumerator for connectable. More...
Glib::RefPtr< SocketAddressEnumerator > | proxy_enumerate ()
| Creates a SocketAddressEnumerator for connectable that will return a ProxyAddress for each of its addresses that you must connect to via a proxy. More...
Glib::RefPtr< const SocketAddressEnumerator > | proxy_enumerate () const
| Creates a SocketAddressEnumerator for connectable that will return a ProxyAddress for each of its addresses that you must connect to via a proxy. More...
Glib::ustring | to_string () const
| Format a SocketConnectable as a string. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| A Default constructor. More...
| Interface (Interface && src) noexcept
Interface & | operator= (Interface && src) noexcept
| Interface (const Glib::Interface_Class & interface_class)
| Called by constructors of derived classes. More...
| Interface (GObject * castitem)
| Called by constructors of derived classes. More...
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring & property_name, const Glib::ValueBase & value)
| You probably want to use a specific property_*() accessor method instead. More...
void | get_property_value (const Glib::ustring & property_name, Glib::ValueBase & value) const
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | set_property (const Glib::ustring & property_name, const PropertyType & value)
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | get_property (const Glib::ustring & property_name, PropertyType & value) const
| You probably want to use a specific property_*() accessor method instead. More...
void | connect_property_changed (const Glib::ustring & property_name, const sigc::slot< void > & slot)
| You can use the signal_changed() signal of the property proxy instead. More...
void | connect_property_changed (const Glib::ustring & property_name, sigc::slot< void > && slot)
| You can use the signal_changed() signal of the property proxy instead. More...
sigc::connection | connect_property_changed_with_return (const Glib::ustring & property_name, const sigc::slot< void > & slot)
| You can use the signal_changed() signal of the property proxy instead. More...
sigc::connection | connect_property_changed_with_return (const Glib::ustring & property_name, sigc::slot< void > && slot)
| You can use the signal_changed() signal of the property proxy instead. More...
void | freeze_notify ()
| Increases the freeze count on object. More...
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify(). More...
virtual void | reference () const
| Increment the reference count for this object. More...
virtual void | unreference () const
| Decrement the reference count for this object. More...
GObject * | gobj ()
| Provides access to the underlying C GObject. More...
const GObject * | gobj () const
| Provides access to the underlying C GObject. More...
GObject * | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access. More...
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| SocketConnectable ()
| You should derive from this class to use it. More...
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| This default constructor is called implicitly from the constructor of user-derived classes, even if, for instance, Gtk::Button calls a different ObjectBase constructor. More...
| ObjectBase (const char * custom_type_name)
| A derived constructor always overrides this choice. More...
| ObjectBase (const std::type_info & custom_type_info)
| This constructor is a special feature to allow creation of derived types on the fly, without having to use g_object_new() manually. More...
| ObjectBase (ObjectBase && src) noexcept
ObjectBase & | operator= (ObjectBase && src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject * castitem)
void | initialize_move (GObject * castitem, Glib::ObjectBase * previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gio::SocketConnectable > | wrap (GSocketConnectable * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

Interface for potential socket endpoints.

Since glibmm 2.24:

## Constructor & Destructor Documentation

## ◆ SocketConnectable() [1/2]

Gio::SocketConnectable::SocketConnectable | ( |  | ) |
| protected

You should derive from this class to use it.

## ◆ SocketConnectable() [2/2]

Gio::SocketConnectable::SocketConnectable | ( | SocketConnectable && | src | ) |
| noexcept

## ◆ ~SocketConnectable()

Gio::SocketConnectable::~SocketConnectable | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ add_interface()

static void Gio::SocketConnectable::add_interface | ( | GType | gtype_implementer | ) |
| static

## ◆ enumerate() [1/2]

Glib::RefPtr< SocketAddressEnumerator > Gio::SocketConnectable::enumerate | ( |  | ) |

Creates a SocketAddressEnumerator for connectable.

Since glibmm 2.22:

Returns
  A new SocketAddressEnumerator.

## ◆ enumerate() [2/2]

Glib::RefPtr< const SocketAddressEnumerator > Gio::SocketConnectable::enumerate | ( |  | ) | const

Creates a SocketAddressEnumerator for connectable.

Since glibmm 2.22:

Returns
  A new SocketAddressEnumerator.

## ◆ get_type()

static GType Gio::SocketConnectable::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GSocketConnectable * Gio::SocketConnectable::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GSocketConnectable * Gio::SocketConnectable::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ operator=()

SocketConnectable & Gio::SocketConnectable::operator= | ( | SocketConnectable && | src | ) |
| noexcept

## ◆ proxy_enumerate() [1/2]

Glib::RefPtr< SocketAddressEnumerator > Gio::SocketConnectable::proxy_enumerate | ( |  | ) |

Creates a SocketAddressEnumerator for connectable that will return a ProxyAddress for each of its addresses that you must connect to via a proxy.

If connectable does not implement g_socket_connectable_proxy_enumerate(), this will fall back to calling g_socket_connectable_enumerate().

Since glibmm 2.26:

Returns
  A new SocketAddressEnumerator.

## ◆ proxy_enumerate() [2/2]

Glib::RefPtr< const SocketAddressEnumerator > Gio::SocketConnectable::proxy_enumerate | ( |  | ) | const

Creates a SocketAddressEnumerator for connectable that will return a ProxyAddress for each of its addresses that you must connect to via a proxy.

If connectable does not implement g_socket_connectable_proxy_enumerate(), this will fall back to calling g_socket_connectable_enumerate().

Since glibmm 2.26:

Returns
  A new SocketAddressEnumerator.

## ◆ to_string()

Glib::ustring Gio::SocketConnectable::to_string | ( |  | ) | const

Format a SocketConnectable as a string.

This is a human-readable format for use in debugging output, and is not a stable serialization format. It is not suitable for use in user interfaces as it exposes too much information for a user.

If the SocketConnectable implementation does not support string formatting, the implementation’s type name will be returned as a fallback.

Since glibmm 2.48:

Returns
  The formatted string.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gio::SocketConnectable > wrap | ( | GSocketConnectable * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.